with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLUnknownElement_Interface is

   procedure Initialize (This : in out IHTMLUnknownElement_Type) is
   begin
      Set_IID (This, IID_IHTMLUnknownElement);
   end Initialize;

   function Pointer (This : IHTMLUnknownElement_Type)
     return Pointer_To_IHTMLUnknownElement
   is
   begin
      return To_Pointer_To_IHTMLUnknownElement (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLUnknownElement_Type;
                     Pointer : in     Pointer_To_IHTMLUnknownElement)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.IHTMLUnknownElement_Interface;

